Skip to main content
GET
Movies

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

keyword_id
string
required

This is the unique identifier for each keyword.

Example:

""

Query Parameters

include_adult
enum<string>

This indicate whether the movie is an adult content.

Available options:
true,
false
Example:

false

language
string

Specifies the language in which the response should be returned.

Example:

"en-US"

page
integer

Indicates which page of results to return. Default is the first page (1).

Example:

1

Response

200 - application/json

movie

id
number

A unique identifier for the keyword or search query in the database.

Example:

14696

page
number

The current page number of the results being displayed.

Example:

1

results
object[]

This array is collection of movie objects that match a specific keyword.

Example:
total_pages
number

The total number of pages available for the query results.

Example:

1

total_results
number

The total number of results found for the query.

Example:

17